import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import Store from './store'
import { initLocale } from '@/locales/i18n'

import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	App,
	Store
})
app.$mount()

initLocale()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif